# Get report generation task This endpoint allows you to query the status and details of a specific report generation task using its ID. A task is the action by which a report is requested and allows you to track its status. In case of success, the request will return a response with the status 200. **GET** `/v1/account/release_report/task/{task-id}` ## Request parameters ### Path - `task-id` (integer, required) Unique identifier of the task, obtained in the response to the creation of the report. ## Response parameters - `id` (integer, optional) Unique identifier of the task. - `user_id` (integer, optional) Unique identifier of the user who owns the report. - `begin_date` (string, optional) Start date and time of the report interval, in the UTC time zone (ISO 8601 format). - `end_date` (string, optional) End date and time of the report interval, in the UTC time zone (ISO 8601 format). - `created_from` (string, optional) Report creation mode. The possible values are: Possible enum values: - `manual` Manually generated reports. - `schedule` Scheduled reports. - `is_test` (boolean, optional) Indicates if it is a test report. It will be 'true' if it is a test report and 'false' if it is not. - `is_reserve` (boolean, optional) Indicates if it includes reserve data. It will be 'true' if it includes reserve data and 'false' if it does not include. them - `status` (string, optional) Current status of the task. The possible values are: Possible enum values: - `pending` Pending processing. - `processing` In progress. - `processed` Successfully generated. - `failed` Processing error. - `deleted` Deleted. - `report_type` (string, optional) Report type. For these reports, it will be 'release'. - `generation_date` (string, optional) Date and time when the report response was generated, in the UTC time zone (ISO 8601 format). - `report_id` (integer, optional, nullable) Identifier of the report, if available. This field will be 'null' if the status is 'pending' or 'processing'. - `last_modified` (string, optional) Date and time of the last modification of the report, in the UTC time zone (ISO 8601 format). - `retries` (integer, optional) Number of attempts made to generate the report. - `sub_type` (string, optional, nullable) Report subtype. For these reports, it will always be 'release'. - `account_id` (integer, optional) Unique identifier of the report associated account. - `currency_id` (string, optional) ISO 4217 code of the currency used in the report. - `format` (string, optional) Format of the generated report. The possible values are: Possible enum values: - `CSV` Comma-separated values format (CSV). - `XLSX` Microsoft Excel format. - `file_name` (string, optional, nullable) Name of the generated file. This field will only be present if the status of the task is 'processed'. Otherwise, it will be 'null'. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_parameter | The value informed for the 'task-id' parameter is invalid. Validate if the sent information is correct and try again. | | 401 | Invalid token | The Access Token is invalid for this request. Validate if the sent information is correct and try again. | | 404 | task_not_found_for_user | The task to which you are trying to access was not found for the user. Validate if the sent information is correct and try again. | | 500 | internal_error | Internal server error. Wait a few minutes and try again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/account/release_report/task/{task-id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": 3333, "user_id": 574264905, "begin_date": "2022-10-15T00:00:00.000Z", "end_date": "2022-10-16T23:59:59.999Z", "created_from": "manual", "is_test": false, "is_reserve": false, "status": "processing", "report_type": "release", "generation_date": "2022-10-16T10:15:30.000Z", "report_id": null, "last_modified": "2022-10-16T10:15:30.000Z", "retries": 0, "sub_type": "release", "account_id": 574264905, "currency_id": "ARS", "format": "CSV", "file_name": null } ```